CoreGTK 3.22.0 CoreGTK is an Objective-C language binding for the GTK+ widget toolkit

Instance Methods | List of all members
CGTKEntry Class Reference
Inheritance diagram for CGTKEntry:
[legend]
Collaboration diagram for CGTKEntry:
[legend]

## Instance Methods
(id) | - init
(id) | - initWithBuffer:
(GtkEntry *) | - ENTRY
(BOOL) | - getActivatesDefault
(gfloat) | - getAlignment
(PangoAttrList *) | - getAttributes
(GtkEntryBuffer *) | - getBuffer
(GtkEntryCompletion *) | - getCompletion
(gint) | - getCurrentIconDragSource
(GtkAdjustment *) | - getCursorHadjustment
(BOOL) | - getHasFrame
(BOOL) | - getIconActivatable:
(void) | - getIconAreaWithIconPos:andIconArea:
(gint) | - getIconAtPosWithX:andY:
(GIcon *) | - getIconGicon:
(NSString *) | - getIconName:
(GdkPixbuf *) | - getIconPixbuf:
(BOOL) | - getIconSensitive:
(NSString *) | - getIconStock:
(GtkImageType) | - getIconStorageType:
(NSString *) | - getIconTooltipMarkup:
(NSString *) | - getIconTooltipText:
(const GtkBorder *) | - getInnerBorder
(GtkInputHints) | - getInputHints
(GtkInputPurpose) | - getInputPurpose
(gunichar) | - getInvisibleChar
(PangoLayout *) | - getLayout
(void) | - getLayoutOffsetsWithX:andY:
(gint) | - getMaxLength
(gint) | - getMaxWidthChars
(BOOL) | - getOverwriteMode
(NSString *) | - getPlaceholderText
(gdouble) | - getProgressFraction
(gdouble) | - getProgressPulseStep
(PangoTabArray *) | - getTabs
(NSString *) | - getText
(void) | - getTextArea:
(guint16) | - getTextLength
(BOOL) | - getVisibility
(gint) | - getWidthChars
(void) | - grabFocusWithoutSelecting
(BOOL) | - imContextFilterKeypress:
(gint) | - layoutIndexToTextIndex:
(void) | - progressPulse
(void) | - resetImContext
(void) | - setActivatesDefault:
(void) | - setAlignment:
(void) | - setAttributes:
(void) | - setBuffer:
(void) | - setCompletion:
(void) | - setCursorHadjustment:
(void) | - setHasFrame:
(void) | - setIconActivatableWithIconPos:andActivatable:
(void) | - setIconDragSourceWithIconPos:andTargetList:andActions:
(void) | - setIconFromGiconWithIconPos:andIcon:
(void) | - setIconFromIconNameWithIconPos:andIconName:
(void) | - setIconFromPixbufWithIconPos:andPixbuf:
(void) | - setIconFromStockWithIconPos:andStockId:
(void) | - setIconSensitiveWithIconPos:andSensitive:
(void) | - setIconTooltipMarkupWithIconPos:andTooltip:
(void) | - setIconTooltipTextWithIconPos:andTooltip:
(void) | - setInnerBorder:
(void) | - setInputHints:
(void) | - setInputPurpose:
(void) | - setInvisibleChar:
(void) | - setMaxLength:
(void) | - setMaxWidthChars:
(void) | - setOverwriteMode:
(void) | - setPlaceholderText:
(void) | - setProgressFraction:
(void) | - setProgressPulseStep:
(void) | - setTabs:
(void) | - setText:
(void) | - setVisibility:
(void) | - setWidthChars:
(gint) | - textIndexToLayoutIndex:
(void) | - unsetInvisibleChar
Instance Methods inherited from CGTKWidget
(GtkWidget *) | - WIDGET
(BOOL) | - activate
(void) | - addAcceleratorWithAccelSignal:andAccelGroup:andAccelKey:andAccelMods:andAccelFlags:
(void) | - addDeviceEventsWithDevice:andEvents:
(void) | - addEvents:
(void) | - addMnemonicLabel:
(guint) | - addTickCallbackWithCallback:andUserData:andNotify:
(BOOL) | - canActivateAccel:
(BOOL) | - childFocus:
(void) | - childNotify:
(void) | - classPathWithPathLength:andPath:andPathReversed:
(BOOL) | - computeExpand:
(PangoContext *) | - createPangoContext
(PangoLayout *) | - createPangoLayout:
(void) | - destroy
(void) | - destroyed:
(BOOL) | - deviceIsShadowed:
(GdkDragContext *) | - gtkDragBeginWithTargets:andActions:andButton:andEvent:
(GdkDragContext *) | - gtkDragBeginWithCoordinatesWithTargets:andActions:andButton:andEvent:andX:andY:
(BOOL) | - gtkDragCheckThresholdWithStartX:andStartY:andCurrentX:andCurrentY:
(void) | - gtkDragDestAddImageTargets
(void) | - gtkDragDestAddTextTargets
(void) | - gtkDragDestAddUriTargets
(GdkAtom) | - gtkDragDestFindTargetWithContext:andTargetList:
(GtkTargetList *) | - gtkDragDestGetTargetList
(BOOL) | - gtkDragDestGetTrackMotion
(void) | - gtkDragDestSetWithFlags:andTargets:andNtargets:andActions:
(void) | - gtkDragDestSetProxyWithProxyWindow:andProtocol:andUseCoordinates:
(void) | - gtkDragDestSetTargetList:
(void) | - gtkDragDestSetTrackMotion:
(void) | - gtkDragDestUnset
(void) | - gtkDragGetDataWithContext:andTarget:andTime:
(void) | - gtkDragHighlight
(void) | - gtkDragSourceAddImageTargets
(void) | - gtkDragSourceAddTextTargets
(void) | - gtkDragSourceAddUriTargets
(GtkTargetList *) | - gtkDragSourceGetTargetList
(void) | - gtkDragSourceSetWithStartButtonMask:andTargets:andNtargets:andActions:
(void) | - gtkDragSourceSetIconGicon:
(void) | - gtkDragSourceSetIconName:
(void) | - gtkDragSourceSetIconPixbuf:
(void) | - gtkDragSourceSetIconStock:
(void) | - gtkDragSourceSetTargetList:
(void) | - gtkDragSourceUnset
(void) | - gtkDragUnhighlight
(void) | - draw:
(void) | - ensureStyle
(void) | - errorBell
(BOOL) | - event:
(void) | - freezeChildNotify
(AtkObject *) | - getAccessible
(GActionGroup *) | - getActionGroup:
(int) | - getAllocatedBaseline
(int) | - getAllocatedHeight
(void) | - getAllocatedSizeWithAllocation:andBaseline:
(int) | - getAllocatedWidth
(void) | - getAllocation:
(CGTKWidget *) | - getAncestor:
(BOOL) | - getAppPaintable
(BOOL) | - getCanDefault
(BOOL) | - getCanFocus
(void) | - getChildRequisition:
(BOOL) | - getChildVisible
(void) | - getClip:
(GtkClipboard *) | - getClipboard:
(NSString *) | - getCompositeName
(BOOL) | - getDeviceEnabled:
(GdkEventMask) | - getDeviceEvents:
(GtkTextDirection) | - getDirection
(GdkDisplay *) | - getDisplay
(BOOL) | - getDoubleBuffered
(gint) | - getEvents
(BOOL) | - getFocusOnClick
(PangoFontMap *) | - getFontMap
(const cairo_font_options_t *) | - getFontOptions
(GdkFrameClock *) | - getFrameClock
(GtkAlign) | - getHalign
(BOOL) | - getHasTooltip
(BOOL) | - getHasWindow
(BOOL) | - getHexpand
(BOOL) | - getHexpandSet
(BOOL) | - getMapped
(gint) | - getMarginBottom
(gint) | - getMarginEnd
(gint) | - getMarginLeft
(gint) | - getMarginRight
(gint) | - getMarginStart
(gint) | - getMarginTop
(GdkModifierType) | - getModifierMask:
(GtkRcStyle *) | - getModifierStyle
(NSString *) | - getName
(BOOL) | - getNoShowAll
(double) | - getOpacity
(PangoContext *) | - getPangoContext
(CGTKWidget *) | - getParent
(GdkWindow *) | - getParentWindow
(GtkWidgetPath *) | - getPath
(void) | - getPointerWithX:andY:
(void) | - getPreferredHeightWithMinimumHeight:andNaturalHeight:
(void) | - getPreferredHeightAndBaselineForWidthWithWidth:andMinimumHeight:andNaturalHeight:andMinimumBaseline:andNaturalBaseline:
(void) | - getPreferredHeightForWidthWithWidth:andMinimumHeight:andNaturalHeight:
(void) | - getPreferredSizeWithMinimumSize:andNaturalSize:
(void) | - getPreferredWidthWithMinimumWidth:andNaturalWidth:
(void) | - getPreferredWidthForHeightWithHeight:andMinimumWidth:andNaturalWidth:
(BOOL) | - getRealized
(BOOL) | - getReceivesDefault
(GtkSizeRequestMode) | - getRequestMode
(void) | - getRequisition:
(GdkWindow *) | - getRootWindow
(gint) | - getScaleFactor
(GdkScreen *) | - getScreen
(BOOL) | - getSensitive
(GtkSettings *) | - getSettings
(void) | - getSizeRequestWithWidth:andHeight:
(GtkStateType) | - getState
(GtkStateFlags) | - getStateFlags
(GtkStyle *) | - getStyle
(GtkStyleContext *) | - getStyleContext
(BOOL) | - getSupportMultidevice
(GObject *) | - getTemplateChildWithWidgetType:andName:
(NSString *) | - getTooltipMarkup
(NSString *) | - getTooltipText
(GtkWindow *) | - getTooltipWindow
(CGTKWidget *) | - getToplevel
(GtkAlign) | - getValign
(GtkAlign) | - getValignWithBaseline
(BOOL) | - getVexpand
(BOOL) | - getVexpandSet
(BOOL) | - getVisible
(GdkVisual *) | - getVisual
(GdkWindow *) | - getWindow
(void) | - gtkGrabAdd
(void) | - grabDefault
(void) | - grabFocus
(void) | - gtkGrabRemove
(BOOL) | - hasDefault
(BOOL) | - hasFocus
(BOOL) | - hasGrab
(BOOL) | - hasRcStyle
(BOOL) | - hasScreen
(BOOL) | - hasVisibleFocus
(void) | - hide
(BOOL) | - hideOnDelete
(BOOL) | - inDestruction
(void) | - initTemplate
(void) | - inputShapeCombineRegion:
(void) | - insertActionGroupWithName:andGroup:
(BOOL) | - intersectWithArea:andIntersection:
(BOOL) | - isAncestor:
(BOOL) | - isComposited
(BOOL) | - isDrawable
(BOOL) | - isFocus
(BOOL) | - isSensitive
(BOOL) | - isToplevel
(BOOL) | - isVisible
(BOOL) | - keynavFailed:
(GList *) | - listAccelClosures
(const gchar **) | - listActionPrefixes
(GList *) | - listMnemonicLabels
(void) | - map
(BOOL) | - mnemonicActivate:
(void) | - modifyBaseWithState:andColor:
(void) | - modifyBgWithState:andColor:
(void) | - modifyCursorWithPrimary:andSecondary:
(void) | - modifyFgWithState:andColor:
(void) | - modifyFont:
(void) | - modifyStyle:
(void) | - modifyTextWithState:andColor:
(void) | - overrideBackgroundColorWithState:andColor:
(void) | - overrideColorWithState:andColor:
(void) | - overrideCursorWithCursor:andSecondaryCursor:
(void) | - overrideFont:
(void) | - overrideSymbolicColorWithName:andColor:
(void) | - pathWithPathLength:andPath:andPathReversed:
(void) | - queueAllocate
(void) | - queueComputeExpand
(void) | - queueDraw
(void) | - queueDrawAreaWithX:andY:andWidth:andHeight:
(void) | - queueDrawRegion:
(void) | - queueResize
(void) | - queueResizeNoRedraw
(void) | - realize
(cairo_region_t *) | - regionIntersect:
(void) | - registerWindow:
(BOOL) | - removeAcceleratorWithAccelGroup:andAccelKey:andAccelMods:
(void) | - removeMnemonicLabel:
(void) | - removeTickCallback:
(GdkPixbuf *) | - renderIconWithStockId:andSize:andDetail:
(GdkPixbuf *) | - renderIconPixbufWithStockId:andSize:
(void) | - reparent:
(void) | - resetRcStyles
(void) | - resetStyle
(gint) | - sendExpose:
(BOOL) | - sendFocusChange:
(void) | - setAccelPathWithAccelPath:andAccelGroup:
(void) | - setAllocation:
(void) | - setAppPaintable:
(void) | - setCanDefault:
(void) | - setCanFocus:
(void) | - setChildVisible:
(void) | - setClip:
(void) | - setCompositeName:
(void) | - setDeviceEnabledWithDevice:andEnabled:
(void) | - setDeviceEventsWithDevice:andEvents:
(void) | - setDirection:
(void) | - setDoubleBuffered:
(void) | - setEvents:
(void) | - setFocusOnClick:
(void) | - setFontMap:
(void) | - setFontOptions:
(void) | - setHalign:
(void) | - setHasTooltip:
(void) | - setHasWindow:
(void) | - setHexpand:
(void) | - setHexpandSet:
(void) | - setMapped:
(void) | - setMarginBottom:
(void) | - setMarginEnd:
(void) | - setMarginLeft:
(void) | - setMarginRight:
(void) | - setMarginStart:
(void) | - setMarginTop:
(void) | - setName:
(void) | - setNoShowAll:
(void) | - setOpacity:
(void) | - setParent:
(void) | - setParentWindow:
(void) | - setRealized:
(void) | - setReceivesDefault:
(void) | - setRedrawOnAllocate:
(void) | - setSensitive:
(void) | - setSizeRequestWithWidth:andHeight:
(void) | - setState:
(void) | - setStateFlagsWithFlags:andClear:
(void) | - setStyle:
(void) | - setSupportMultidevice:
(void) | - setTooltipMarkup:
(void) | - setTooltipText:
(void) | - setTooltipWindow:
(void) | - setValign:
(void) | - setVexpand:
(void) | - setVexpandSet:
(void) | - setVisible:
(void) | - setVisual:
(void) | - setWindow:
(void) | - shapeCombineRegion:
(void) | - show
(void) | - showAll
(void) | - showNow
(void) | - sizeAllocate:
(void) | - sizeAllocateWithBaselineWithAllocation:andBaseline:
(void) | - sizeRequest:
(void) | - styleAttach
(void) | - styleGetPropertyWithPropertyName:andValue:
(void) | - styleGetValistWithFirstPropertyName:andVarArgs:
(void) | - thawChildNotify
(BOOL) | - translateCoordinatesWithDestWidget:andSrcX:andSrcY:andDestX:andDestY:
(void) | - triggerTooltipQuery
(void) | - unmap
(void) | - unparent
(void) | - unrealize
(void) | - unregisterWindow:
(void) | - unsetStateFlags:
Instance Methods inherited from CGTKBase
(id) | - initWithGObject:
(void) | - setGObject:
(GObject *) | - GOBJECT

## Additional Inherited Members
Class Methods inherited from CGTKWidget
(GtkTextDirection) | + getDefaultDirection
(GtkStyle *) | + getDefaultStyle
(void) | + popCompositeChild
(void) | + pushCompositeChild
(void) | + setDefaultDirection:
Class Methods inherited from CGTKBase
(CGTKBase *) | + withGObject:
Protected Attributes inherited from CGTKBase
GObject * | __gObject

## Detailed Description

Definition at line 34 of file CGTKEntry.h.

## Method Documentation

## ◆ ENTRY()

- (GtkEntry *) ENTRY |  |  |

Methods

Definition at line 60 of file CGTKEntry.m.

## ◆ getActivatesDefault()

- (BOOL) getActivatesDefault |  |  |

-(BOOL*)getActivatesDefault;

Returns
  BOOL

Definition at line 65 of file CGTKEntry.m.

## ◆ getAlignment()

- (gfloat) getAlignment |  |  |

-(gfloat*)getAlignment;

Returns
  gfloat

Definition at line 70 of file CGTKEntry.m.

## ◆ getAttributes()

- (PangoAttrList *) getAttributes |  |  |

-(PangoAttrList**)getAttributes;

Returns
  PangoAttrList*

Definition at line 75 of file CGTKEntry.m.

## ◆ getBuffer()

- (GtkEntryBuffer *) getBuffer |  |  |

-(GtkEntryBuffer**)getBuffer;

Returns
  GtkEntryBuffer*

Definition at line 80 of file CGTKEntry.m.

## ◆ getCompletion()

- (GtkEntryCompletion *) getCompletion |  |  |

-(GtkEntryCompletion**)getCompletion;

Returns
  GtkEntryCompletion*

Definition at line 85 of file CGTKEntry.m.

## ◆ getCurrentIconDragSource()

- (gint) getCurrentIconDragSource |  |  |

-(gint*)getCurrentIconDragSource;

Returns
  gint

Definition at line 90 of file CGTKEntry.m.

## ◆ getCursorHadjustment()

- (GtkAdjustment *) getCursorHadjustment |  |  |

-(GtkAdjustment**)getCursorHadjustment;

Returns
  GtkAdjustment*

Definition at line 95 of file CGTKEntry.m.

## ◆ getHasFrame()

- (BOOL) getHasFrame |  |  |

-(BOOL*)getHasFrame;

Returns
  BOOL

Definition at line 100 of file CGTKEntry.m.

## ◆ getIconActivatable:()

- (BOOL) getIconActivatable: |  | (GtkEntryIconPosition) | iconPos |

-(BOOL*)getIconActivatable: iconPos;

Parameters

  iconPos |

Returns
  BOOL

Definition at line 105 of file CGTKEntry.m.

## ◆ getIconAreaWithIconPos:andIconArea:()

- (void) getIconAreaWithIconPos: |  | (GtkEntryIconPosition) | iconPos
andIconArea: |  | (GdkRectangle*) | iconArea

-(void*)getIconAreaWithIconPos:(GtkEntryIconPosition) iconPos andIconArea:(GdkRectangle*) iconArea;

Parameters

  iconPos |
  iconArea |

Definition at line 110 of file CGTKEntry.m.

## ◆ getIconAtPosWithX:andY:()

- (gint) getIconAtPosWithX: |  | (gint) | x
andY: |  | (gint) | y

-(gint*)getIconAtPosWithX:(gint) x andY:(gint) y;

Parameters

  x |
  y |

Returns
  gint

Definition at line 115 of file CGTKEntry.m.

## ◆ getIconGicon:()

- (GIcon *) getIconGicon: |  | (GtkEntryIconPosition) | iconPos |

-(GIcon**)getIconGicon: iconPos;

Parameters

  iconPos |

Returns
  GIcon*

Definition at line 120 of file CGTKEntry.m.

## ◆ getIconName:()

- (NSString *) getIconName: |  | (GtkEntryIconPosition) | iconPos |

-(NSString**)getIconName: iconPos;

Parameters

  iconPos |

Returns
  NSString*

Definition at line 125 of file CGTKEntry.m.

## ◆ getIconPixbuf:()

- (GdkPixbuf *) getIconPixbuf: |  | (GtkEntryIconPosition) | iconPos |

-(GdkPixbuf**)getIconPixbuf: iconPos;

Parameters

  iconPos |

Returns
  GdkPixbuf*

Definition at line 130 of file CGTKEntry.m.

## ◆ getIconSensitive:()

- (BOOL) getIconSensitive: |  | (GtkEntryIconPosition) | iconPos |

-(BOOL*)getIconSensitive: iconPos;

Parameters

  iconPos |

Returns
  BOOL

Definition at line 135 of file CGTKEntry.m.

## ◆ getIconStock:()

- (NSString *) getIconStock: |  | (GtkEntryIconPosition) | iconPos |

-(NSString**)getIconStock: iconPos;

Parameters

  iconPos |

Returns
  NSString*

Definition at line 140 of file CGTKEntry.m.

## ◆ getIconStorageType:()

- (GtkImageType) getIconStorageType: |  | (GtkEntryIconPosition) | iconPos |

-(GtkImageType*)getIconStorageType: iconPos;

Parameters

  iconPos |

Returns
  GtkImageType

Definition at line 145 of file CGTKEntry.m.

## ◆ getIconTooltipMarkup:()

- (NSString *) getIconTooltipMarkup: |  | (GtkEntryIconPosition) | iconPos |

-(NSString**)getIconTooltipMarkup: iconPos;

Parameters

  iconPos |

Returns
  NSString*

Definition at line 150 of file CGTKEntry.m.

## ◆ getIconTooltipText:()

- (NSString *) getIconTooltipText: |  | (GtkEntryIconPosition) | iconPos |

-(NSString**)getIconTooltipText: iconPos;

Parameters

  iconPos |

Returns
  NSString*

Definition at line 155 of file CGTKEntry.m.

## ◆ getInnerBorder()

- (const GtkBorder *) getInnerBorder |  |  |

-(const GtkBorder**)getInnerBorder;

Returns
  const GtkBorder*

Definition at line 160 of file CGTKEntry.m.

## ◆ getInputHints()

- (GtkInputHints) getInputHints |  |  |

-(GtkInputHints*)getInputHints;

Returns
  GtkInputHints

Definition at line 165 of file CGTKEntry.m.

## ◆ getInputPurpose()

- (GtkInputPurpose) getInputPurpose |  |  |

-(GtkInputPurpose*)getInputPurpose;

Returns
  GtkInputPurpose

Definition at line 170 of file CGTKEntry.m.

## ◆ getInvisibleChar()

- (gunichar) getInvisibleChar |  |  |

-(gunichar*)getInvisibleChar;

Returns
  gunichar

Definition at line 175 of file CGTKEntry.m.

## ◆ getLayout()

- (PangoLayout *) getLayout |  |  |

-(PangoLayout**)getLayout;

Returns
  PangoLayout*

Definition at line 180 of file CGTKEntry.m.

## ◆ getLayoutOffsetsWithX:andY:()

- (void) getLayoutOffsetsWithX: |  | (gint*) | x
andY: |  | (gint*) | y

-(void*)getLayoutOffsetsWithX:(gint*) x andY:(gint*) y;

Parameters

  x |
  y |

Definition at line 185 of file CGTKEntry.m.

## ◆ getMaxLength()

- (gint) getMaxLength |  |  |

-(gint*)getMaxLength;

Returns
  gint

Definition at line 190 of file CGTKEntry.m.

## ◆ getMaxWidthChars()

- (gint) getMaxWidthChars |  |  |

-(gint*)getMaxWidthChars;

Returns
  gint

Definition at line 195 of file CGTKEntry.m.

## ◆ getOverwriteMode()

- (BOOL) getOverwriteMode |  |  |

-(BOOL*)getOverwriteMode;

Returns
  BOOL

Definition at line 200 of file CGTKEntry.m.

## ◆ getPlaceholderText()

- (NSString *) getPlaceholderText |  |  |

-(NSString**)getPlaceholderText;

Returns
  NSString*

Definition at line 205 of file CGTKEntry.m.

## ◆ getProgressFraction()

- (gdouble) getProgressFraction |  |  |

-(gdouble*)getProgressFraction;

Returns
  gdouble

Definition at line 210 of file CGTKEntry.m.

## ◆ getProgressPulseStep()

- (gdouble) getProgressPulseStep |  |  |

-(gdouble*)getProgressPulseStep;

Returns
  gdouble

Definition at line 215 of file CGTKEntry.m.

## ◆ getTabs()

- (PangoTabArray *) getTabs |  |  |

-(PangoTabArray**)getTabs;

Returns
  PangoTabArray*

Definition at line 220 of file CGTKEntry.m.

## ◆ getText()

- (NSString *) getText |  |  |

-(NSString**)getText;

Returns
  NSString*

Definition at line 225 of file CGTKEntry.m.

## ◆ getTextArea:()

- (void) getTextArea: |  | (GdkRectangle*) | textArea |

-(void*)getTextArea: textArea;

Parameters

  textArea |

Definition at line 230 of file CGTKEntry.m.

## ◆ getTextLength()

- (guint16) getTextLength |  |  |

-(guint16*)getTextLength;

Returns
  guint16

Definition at line 235 of file CGTKEntry.m.

## ◆ getVisibility()

- (BOOL) getVisibility |  |  |

-(BOOL*)getVisibility;

Returns
  BOOL

Definition at line 240 of file CGTKEntry.m.

## ◆ getWidthChars()

- (gint) getWidthChars |  |  |

-(gint*)getWidthChars;

Returns
  gint

Definition at line 245 of file CGTKEntry.m.

## ◆ grabFocusWithoutSelecting()

- (void) grabFocusWithoutSelecting |  |  |

-(void*)grabFocusWithoutSelecting;

Definition at line 250 of file CGTKEntry.m.

## ◆ imContextFilterKeypress:()

- (BOOL) imContextFilterKeypress: |  | (GdkEventKey*) | event |

-(BOOL*)imContextFilterKeypress: event;

Parameters

  event |

Returns
  BOOL

Definition at line 255 of file CGTKEntry.m.

## ◆ init()

- (id) init |  |  |

Constructors

Reimplemented in CGTKSearchEntry.

Definition at line 36 of file CGTKEntry.m.

## ◆ layoutIndexToTextIndex:()

- (gint) layoutIndexToTextIndex: |  | (gint) | layoutIndex |

-(gint*)layoutIndexToTextIndex: layoutIndex;

Parameters

  layoutIndex |

Returns
  gint

Definition at line 260 of file CGTKEntry.m.

## ◆ progressPulse()

- (void) progressPulse |  |  |

-(void*)progressPulse;

Definition at line 265 of file CGTKEntry.m.

## ◆ resetImContext()

- (void) resetImContext |  |  |

-(void*)resetImContext;

Definition at line 270 of file CGTKEntry.m.

## ◆ setActivatesDefault:()

- (void) setActivatesDefault: |  | (BOOL) | setting |

-(void*)setActivatesDefault: setting;

Parameters

  setting |

Definition at line 275 of file CGTKEntry.m.

## ◆ setAlignment:()

- (void) setAlignment: |  | (gfloat) | xalign |

-(void*)setAlignment: xalign;

Parameters

  xalign |

Definition at line 280 of file CGTKEntry.m.

## ◆ setAttributes:()

- (void) setAttributes: |  | (PangoAttrList*) | attrs |

-(void*)setAttributes: attrs;

Parameters

  attrs |

Definition at line 285 of file CGTKEntry.m.

## ◆ setBuffer:()

- (void) setBuffer: |  | (GtkEntryBuffer*) | buffer |

-(void*)setBuffer: buffer;

Parameters

  buffer |

Definition at line 290 of file CGTKEntry.m.

## ◆ setCompletion:()

- (void) setCompletion: |  | (GtkEntryCompletion*) | completion |

-(void*)setCompletion: completion;

Parameters

  completion |

Definition at line 295 of file CGTKEntry.m.

## ◆ setCursorHadjustment:()

- (void) setCursorHadjustment: |  | (GtkAdjustment*) | adjustment |

-(void*)setCursorHadjustment: adjustment;

Parameters

  adjustment |

Definition at line 300 of file CGTKEntry.m.

## ◆ setHasFrame:()

- (void) setHasFrame: |  | (BOOL) | setting |

-(void*)setHasFrame: setting;

Parameters

  setting |

Definition at line 305 of file CGTKEntry.m.

## ◆ setIconActivatableWithIconPos:andActivatable:()

- (void) setIconActivatableWithIconPos: |  | (GtkEntryIconPosition) | iconPos
andActivatable: |  | (BOOL) | activatable

-(void*)setIconActivatableWithIconPos:(GtkEntryIconPosition) iconPos andActivatable:(BOOL) activatable;

Parameters

  iconPos |
  activatable |

Definition at line 310 of file CGTKEntry.m.

## ◆ setIconDragSourceWithIconPos:andTargetList:andActions:()

- (void) setIconDragSourceWithIconPos: |  | (GtkEntryIconPosition) | iconPos
andTargetList: |  | (GtkTargetList*) | targetList
andActions: |  | (GdkDragAction) | actions

-(void*)setIconDragSourceWithIconPos:(GtkEntryIconPosition) iconPos andTargetList:(GtkTargetList*) targetList andActions:(GdkDragAction) actions;

Parameters

  iconPos |
  targetList |
  actions |

Definition at line 315 of file CGTKEntry.m.

## ◆ setIconFromGiconWithIconPos:andIcon:()

- (void) setIconFromGiconWithIconPos: |  | (GtkEntryIconPosition) | iconPos
andIcon: |  | (GIcon*) | icon

-(void*)setIconFromGiconWithIconPos:(GtkEntryIconPosition) iconPos andIcon:(GIcon*) icon;

Parameters

  iconPos |
  icon |

Definition at line 320 of file CGTKEntry.m.

## ◆ setIconFromIconNameWithIconPos:andIconName:()

- (void) setIconFromIconNameWithIconPos: |  | (GtkEntryIconPosition) | iconPos
andIconName: |  | (NSString*) | iconName

-(void*)setIconFromIconNameWithIconPos:(GtkEntryIconPosition) iconPos andIconName:(NSString*) iconName;

Parameters

  iconPos |
  iconName |

Definition at line 325 of file CGTKEntry.m.

## ◆ setIconFromPixbufWithIconPos:andPixbuf:()

- (void) setIconFromPixbufWithIconPos: |  | (GtkEntryIconPosition) | iconPos
andPixbuf: |  | (GdkPixbuf*) | pixbuf

-(void*)setIconFromPixbufWithIconPos:(GtkEntryIconPosition) iconPos andPixbuf:(GdkPixbuf*) pixbuf;

Parameters

  iconPos |
  pixbuf |

Definition at line 330 of file CGTKEntry.m.

## ◆ setIconFromStockWithIconPos:andStockId:()

- (void) setIconFromStockWithIconPos: |  | (GtkEntryIconPosition) | iconPos
andStockId: |  | (NSString*) | stockId

-(void*)setIconFromStockWithIconPos:(GtkEntryIconPosition) iconPos andStockId:(NSString*) stockId;

Parameters

  iconPos |
  stockId |

Definition at line 335 of file CGTKEntry.m.

## ◆ setIconSensitiveWithIconPos:andSensitive:()

- (void) setIconSensitiveWithIconPos: |  | (GtkEntryIconPosition) | iconPos
andSensitive: |  | (BOOL) | sensitive

-(void*)setIconSensitiveWithIconPos:(GtkEntryIconPosition) iconPos andSensitive:(BOOL) sensitive;

Parameters

  iconPos |
  sensitive |

Definition at line 340 of file CGTKEntry.m.

## ◆ setIconTooltipMarkupWithIconPos:andTooltip:()

- (void) setIconTooltipMarkupWithIconPos: |  | (GtkEntryIconPosition) | iconPos
andTooltip: |  | (NSString*) | tooltip

-(void*)setIconTooltipMarkupWithIconPos:(GtkEntryIconPosition) iconPos andTooltip:(NSString*) tooltip;

Parameters

  iconPos |
  tooltip |

Definition at line 345 of file CGTKEntry.m.

## ◆ setIconTooltipTextWithIconPos:andTooltip:()

- (void) setIconTooltipTextWithIconPos: |  | (GtkEntryIconPosition) | iconPos
andTooltip: |  | (NSString*) | tooltip

-(void*)setIconTooltipTextWithIconPos:(GtkEntryIconPosition) iconPos andTooltip:(NSString*) tooltip;

Parameters

  iconPos |
  tooltip |

Definition at line 350 of file CGTKEntry.m.

## ◆ setInnerBorder:()

- (void) setInnerBorder: |  | (const GtkBorder*) | border |

-(void*)setInnerBorder: border;

Parameters

  border |

Definition at line 355 of file CGTKEntry.m.

## ◆ setInputHints:()

- (void) setInputHints: |  | (GtkInputHints) | hints |

-(void*)setInputHints: hints;

Parameters

  hints |

Definition at line 360 of file CGTKEntry.m.

## ◆ setInputPurpose:()

- (void) setInputPurpose: |  | (GtkInputPurpose) | purpose |

-(void*)setInputPurpose: purpose;

Parameters

  purpose |

Definition at line 365 of file CGTKEntry.m.

## ◆ setInvisibleChar:()

- (void) setInvisibleChar: |  | (gunichar) | ch |

-(void*)setInvisibleChar: ch;

Parameters

  ch |

Definition at line 370 of file CGTKEntry.m.

## ◆ setMaxLength:()

- (void) setMaxLength: |  | (gint) | max |

-(void*)setMaxLength: max;

Parameters

  max |

Definition at line 375 of file CGTKEntry.m.

## ◆ setMaxWidthChars:()

- (void) setMaxWidthChars: |  | (gint) | nchars |

-(void*)setMaxWidthChars: nchars;

Parameters

  nchars |

Definition at line 380 of file CGTKEntry.m.

## ◆ setOverwriteMode:()

- (void) setOverwriteMode: |  | (BOOL) | overwrite |

-(void*)setOverwriteMode: overwrite;

Parameters

  overwrite |

Definition at line 385 of file CGTKEntry.m.

## ◆ setPlaceholderText:()

- (void) setPlaceholderText: |  | (NSString*) | text |

-(void*)setPlaceholderText: text;

Parameters

  text |

Definition at line 390 of file CGTKEntry.m.

## ◆ setProgressFraction:()

- (void) setProgressFraction: |  | (gdouble) | fraction |

-(void*)setProgressFraction: fraction;

Parameters

  fraction |

Definition at line 395 of file CGTKEntry.m.

## ◆ setProgressPulseStep:()

- (void) setProgressPulseStep: |  | (gdouble) | fraction |

-(void*)setProgressPulseStep: fraction;

Parameters

  fraction |

Definition at line 400 of file CGTKEntry.m.

## ◆ setTabs:()

- (void) setTabs: |  | (PangoTabArray*) | tabs |

-(void*)setTabs: tabs;

Parameters

  tabs |

Definition at line 405 of file CGTKEntry.m.

## ◆ setText:()

- (void) setText: |  | (NSString*) | text |

-(void*)setText: text;

Parameters

  text |

Definition at line 410 of file CGTKEntry.m.

## ◆ setVisibility:()

- (void) setVisibility: |  | (BOOL) | visible |

-(void*)setVisibility: visible;

Parameters

  visible |

Definition at line 415 of file CGTKEntry.m.

## ◆ setWidthChars:()

- (void) setWidthChars: |  | (gint) | nchars |

-(void*)setWidthChars: nchars;

Parameters

  nchars |

Definition at line 420 of file CGTKEntry.m.

## ◆ textIndexToLayoutIndex:()

- (gint) textIndexToLayoutIndex: |  | (gint) | textIndex |

-(gint*)textIndexToLayoutIndex: textIndex;

Parameters

  textIndex |

Returns
  gint

Definition at line 425 of file CGTKEntry.m.

## ◆ unsetInvisibleChar()

- (void) unsetInvisibleChar |  |  |

-(void*)unsetInvisibleChar;

Definition at line 430 of file CGTKEntry.m.

The documentation for this class was generated from the following files:

- CGTKEntry.h
- CGTKEntry.m